<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[24, 24]">
    <div nz-col class="gutter-row" nzLg="6">
      <mb-date-picker
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        mbLabelText="{{
          'development.promulgate.section.effectiveDate' | translate
        }}"
        formControlName="effectiveDate"
        [mbType]="
          isSubmitted && form.get('effectiveDate')?.errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.get('effectiveDate')?.errors !== null"
        [mbErrors]="form.get('effectiveDate')?.errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'development.proposed-unit.reportCard.mustInput' | translate
          }
        ]"
        [mbDisabled]="form.get('sameDecision')?.value"
      >
      </mb-date-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <label nz-checkbox formControlName="sameDecision" class="commonDate">
        {{ 'development.promulgate.section.effectiveDateCommon' | translate }}
      </label>
    </div>
    <div nz-col class="gutter-row" nzLg="12"></div>
    <div nz-col class="gutter-row" nzLg="6">
      <span class="title-section">
        {{ 'development.list-change-issue.search.minDeadline' | translate }}
      </span>
      <mb-input-text
        formControlName="minimumTimePublish"
        mbInputType="number"
        [mbMaxLength]="50"
        mbPlaceholderText="{{
          'development.list-change-issue.applyIssue.deadline' | translate
        }}"
      >
      </mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-date-picker
        formControlName="issueEffectiveEndDate1"
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        mbLabelText="{{
          'development.list-change-issue.search.minDeadlineDate' | translate
        }}"
        [mbDisabled]="form.get('sameDecision')?.value"
      >
      </mb-date-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <span class="title-section">
        {{ 'development.list-change-issue.search.maxDeadline' | translate }}
      </span>
      <mb-input-text
        formControlName="maximumTimePublish"
        mbInputType="number"
        [mbMaxLength]="50"
        mbPlaceholderText="{{
          'development.list-change-issue.applyIssue.deadline' | translate
        }}"
        class="timeVal"
      >
      </mb-input-text>
      <mb-select
        formControlName="timeType"
        [mbDataSelects]="listTypeMaximumTime"
        mbKeyLabel="name"
        mbKeyValue="type"
        mbPlaceholder="{{
          'development.list-change-issue.applyIssue.month' | translate
        }}"
        class="timeType"
      >
      </mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="6">
      <mb-date-picker
        formControlName="issueEffectiveEndDate2"
        mbFormat="dd/MM/yyyy"
        mbPlaceholderText="dd/mm/yyyy"
        mbLabelText="{{
          'development.list-change-issue.search.maxDeadlineDate' | translate
        }}"
        [mbDisabled]="form.get('sameDecision')?.value"
      >
      </mb-date-picker>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
      <nz-radio-group formControlName="checkWorkProcess" class="commonDate">
        <label nz-radio [nzValue]="true">{{
          'development.list-change-issue.applyIssue.createNewQTCT' | translate
        }}</label>
        <label nz-radio [nzValue]="false">{{
          'development.list-change-issue.applyIssue.updateCurrentQTCT'
            | translate
        }}</label>
      </nz-radio-group>
    </div>
    <div nz-col class="gutter-row" nzLg="24">
      <div class="commonDate">
        <span class="label__required">*</span>
        {{ 'development.list-change-issue.applyIssue.notice' | translate }}
      </div>
    </div>
  </div>
</form>

<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.continue' | translate }}"
    (click)="submit()"
  ></mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="closeModal()"
  >
  </mb-button>
</div>
